unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxGraphics, cxControls, cxLookAndFeels, cxLookAndFeelPainters,
  dxRibbonSkins, dxSkinsCore, dxSkinsdxRibbonPainter,
  cxClasses, dxRibbon, dxSkinsdxBarPainter, dxBar, dxRibbonForm, ImgList,
  dxSkinMcSkin, dxSkinBlack, dxSkinBlue, dxSkinBlueprint, dxSkinCaramel,
  dxSkinCoffee, dxSkinDarkRoom, dxSkinDarkSide, dxSkinDevExpressDarkStyle,
  dxSkinDevExpressStyle, dxSkinFoggy, dxSkinGlassOceans,
  dxSkinHighContrast, dxSkiniMaginary, dxSkinLilian, dxSkinLiquidSky,
  dxSkinLondonLiquidSky, dxSkinMoneyTwins, dxSkinOffice2007Black,
  dxSkinOffice2007Blue, dxSkinOffice2007Green, dxSkinOffice2007Pink,
  dxSkinOffice2007Silver, dxSkinOffice2010Black, dxSkinOffice2010Blue,
  dxSkinOffice2010Silver, dxSkinPumpkin, dxSkinSeven, dxSkinSevenClassic,
  dxSkinSharp, dxSkinSharpPlus, dxSkinSilver, dxSkinSpringTime,
  dxSkinStardust, dxSkinSummer2008, dxSkinTheAsphaltWorld,
  dxSkinsDefaultPainters, dxSkinValentine, dxSkinVS2010, dxSkinWhiteprint,
  dxSkinXmas2008Blue;

type
  TForm1 = class(TdxRibbonForm)
    dxRibbon1Tab1: TdxRibbonTab;
    dxRibbon: TdxRibbon;
    dxBarManager1: TdxBarManager;
    dxBarGroup1: TdxBarGroup;
    dxBarManager1Bar1: TdxBar;
    btnStyle: TdxBarSubItem;
    dxBarButton1: TdxBarButton;
    dxBarButton2: TdxBarButton;
    btnColorSchemeName: TdxBarListItem;
    btnColorSchemeAccent: TdxBarListItem;
    cxLargeImages: TcxImageList;
    cxSmallImages: TcxImageList;
    dxBarManager1Bar2: TdxBar;
    dxBarManager1Bar3: TdxBar;
    btnShowAppButton: TdxBarLargeButton;
    btnQABUp: TdxBarButton;
    btnQABDown: TdxBarButton;
    btnShowQAB: TdxBarLargeButton;
    dxRibbonPopupMenu1: TdxRibbonPopupMenu;
    procedure dxBarButton1Click(Sender: TObject);
    procedure dxBarButton2Click(Sender: TObject);
    procedure btnColorSchemeNameClick(Sender: TObject);
    procedure btnColorSchemeAccentClick(Sender: TObject);
    procedure btnShowAppButtonClick(Sender: TObject);
    procedure btnShowQABClick(Sender: TObject);
    procedure btnQABUpClick(Sender: TObject);
    procedure btnQABDownClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.dxBarButton1Click(Sender: TObject);
begin
  //   MS Office 2007
  dxRibbon.Style := rs2007;
  //       BackStage Button
  btnColorSchemeAccent.Visible := ivNever;
end;

procedure TForm1.dxBarButton2Click(Sender: TObject);
begin
  //   MS Office 2010
  dxRibbon.Style := rs2010;
  //       BackStage Button
  btnColorSchemeAccent.Visible := ivAlways;
end;

procedure TForm1.btnColorSchemeNameClick(Sender: TObject);
begin
  //    
  case btnColorSchemeName.ItemIndex of
    0: dxRibbon.ColorSchemeName := 'Blue';
    1: dxRibbon.ColorSchemeName := 'Black';
    2: dxRibbon.ColorSchemeName := 'Silver';
  end;
end;

procedure TForm1.btnColorSchemeAccentClick(Sender: TObject);
begin
  dxRibbon.ColorSchemeAccent :=
    TdxRibbonColorSchemeAccent(btnColorSchemeAccent.ItemIndex);
end;

procedure TForm1.btnShowAppButtonClick(Sender: TObject);
begin
  dxRibbon.ApplicationButton.Visible := btnShowAppButton.Down;
end;

procedure TForm1.btnShowQABClick(Sender: TObject);
begin
  dxRibbon.QuickAccessToolbar.Visible := btnShowQAB.Down;
end;

procedure TForm1.btnQABUpClick(Sender: TObject);
begin
  dxRibbon.QuickAccessToolbar.Position := qtpAboveRibbon;
end;

procedure TForm1.btnQABDownClick(Sender: TObject);
begin
  dxRibbon.QuickAccessToolbar.Position := qtpBelowRibbon;
end;

end.
