unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxClasses, dxRibbon, dxBar,
  dxBarApplicationMenu, dxSkinsCore, dxSkinsdxBarPainter, cxGraphics,
  cxControls, cxLookAndFeels, cxLookAndFeelPainters, dxRibbonSkins,
  dxSkinsdxRibbonPainter, dxRibbonForm, ImgList, dxRibbonBackstageView,
  FWBackStageButton, ExtCtrls, StdCtrls, ComCtrls, XPMan;

type
  TForm2 = class(TdxRibbonForm)
    dxBarManager1: TdxBarManager;
    dxRibbon1Tab1: TdxRibbonTab;
    dxRibbon1: TdxRibbon;
    dxBarManager1Bar1: TdxBar;
    cxLargeImages: TcxImageList;
    cxSmallImages: TcxImageList;
    dxBarLargeButton1: TdxBarLargeButton;
    dxBarLargeButton2: TdxBarLargeButton;
    dxBarLargeButton3: TdxBarLargeButton;
    dxBarButton2: TdxBarButton;
    dxRibbonBackstageView: TdxRibbonBackstageView;
    dxRibbonBackstageViewTabSheet1: TdxRibbonBackstageViewTabSheet;
    cxTileImages: TcxImageList;
    FWBackStageButton1: TFWBackStageButton;
    FWBackStageButton2: TFWBackStageButton;
    FWBackStageButton3: TFWBackStageButton;
    FWBackStageButton4: TFWBackStageButton;
    FWBackStageButton5: TFWBackStageButton;
    FWBackStageButton6: TFWBackStageButton;
    FWBackStageButton7: TFWBackStageButton;
    FWBackStageButton8: TFWBackStageButton;
    FWBackStageButton9: TFWBackStageButton;
    FWBackStageButton10: TFWBackStageButton;
    dxRibbonBackstageViewTabSheet2: TdxRibbonBackstageViewTabSheet;
    btnSentViaMail: TFWBackStageButton;
    btnSentViaWeb: TFWBackStageButton;
    Label1: TLabel;
    PaintBox1: TPaintBox;
    Label2: TLabel;
    PaintBox2: TPaintBox;
    pnMail: TPanel;
    FWBackStageButton11: TFWBackStageButton;
    Label3: TLabel;
    PaintBox3: TPaintBox;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    FWBackStageButton12: TFWBackStageButton;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    pnWeb: TPanel;
    Label11: TLabel;
    PaintBox4: TPaintBox;
    Label12: TLabel;
    FWBackStageButton13: TFWBackStageButton;
    tabPrinters: TdxRibbonBackstageViewTabSheet;
    Label13: TLabel;
    PaintBox5: TPaintBox;
    btnPrinters: TFWBackStageButton;
    FWBackStageButton15: TFWBackStageButton;
    Label14: TLabel;
    PaintBox6: TPaintBox;
    Label15: TLabel;
    Edit1: TEdit;
    UpDown1: TUpDown;
    mnuPrinters: TdxRibbonPopupMenu;
    dxBarLargeButton4: TdxBarLargeButton;
    dxBarLargeButton5: TdxBarLargeButton;
    dxBarLargeButton6: TdxBarLargeButton;
    dxRibbonBackstageViewTabSheet3: TdxRibbonBackstageViewTabSheet;
    FWBackStageButton14: TFWBackStageButton;
    PaintBox7: TPaintBox;
    Label16: TLabel;
    FWBackStageButton16: TFWBackStageButton;
    PaintBox8: TPaintBox;
    dxRibbonBackstageViewTabSheet4: TdxRibbonBackstageViewTabSheet;
    Button1: TButton;
    GroupBox1: TGroupBox;
    Panel1: TPanel;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    ProgressBar1: TProgressBar;
    RichEdit1: TRichEdit;
    Edit2: TEdit;
    Memo1: TMemo;
    procedure FWBackStageButton1Click(Sender: TObject);
    procedure PaintBox1Paint(Sender: TObject);
    procedure btnSentViaMailClick(Sender: TObject);
    procedure btnSentViaWebClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnPrintersDropDown(Sender: TObject; X, Y,
      AWidth: Integer);
  private
    procedure ShowCorner(MailCorner: Boolean);
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.FWBackStageButton1Click(Sender: TObject);
begin
  dxRibbonBackstageView.Hide;
  ShowMessage('  : ' +
    (Sender as TFWBackStageButton).Description);
end;

procedure TForm2.PaintBox1Paint(Sender: TObject);
var
  Box: TPaintBox;
begin
  Box := Sender as TPaintBox;
  Box.Canvas.Pen.Color := $606060;
  Box.Canvas.Pen.Style := psDot;
  Box.Canvas.PenPos := Point(0, 1);
  Box.Canvas.LineTo(Box.ClientWidth, 1);
end;

procedure TForm2.btnSentViaMailClick(Sender: TObject);
begin
  ShowCorner(True);
end;

procedure TForm2.ShowCorner(MailCorner: Boolean);
begin
  btnSentViaMail.Down := MailCorner;
  btnSentViaMail.ShowCorner := MailCorner;
  btnSentViaWeb.Down := not MailCorner;
  btnSentViaWeb.ShowCorner := not MailCorner;
  pnMail.Visible := MailCorner;
  pnWeb.Visible := not MailCorner;
end;

procedure TForm2.btnSentViaWebClick(Sender: TObject);
begin
  ShowCorner(False);
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
  pnWeb.Top := pnMail.Top;
end;

procedure TForm2.btnPrintersDropDown(Sender: TObject; X, Y,
  AWidth: Integer);
var
  P: TPoint;
begin
  btnPrinters.Down := True;
  P := tabPrinters.ClientToScreen(Point(X, Y));
  mnuPrinters.Popup(P.X, P.Y);
  btnPrinters.Down := False;
end;

end.
