unit Unit6;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, 
  dxBar, dxRibbon, dxRibbonForm, dxRibbonSkins, cxGraphics, cxControls, 
  cxLookAndFeels, cxLookAndFeelPainters, cxClasses, dxSkinsdxRibbonPainter,
  dxSkinsdxBarPainter, ActnList, ActnMan,
  StdCtrls, dxStatusBar, dxRibbonStatusBar, dxBarApplicationMenu,
  dxRibbonGallery, dxSkinChooserGallery, ComCtrls, dxSkinsCore,
  dxSkinBlack, dxSkinBlue, dxSkinBlueprint, dxSkinCaramel, dxSkinCoffee,
  dxSkinDarkRoom, dxSkinDarkSide, dxSkinDevExpressDarkStyle,
  dxSkinDevExpressStyle, dxSkinFoggy, dxSkinGlassOceans,
  dxSkinHighContrast, dxSkiniMaginary, dxSkinLilian, dxSkinLiquidSky,
  dxSkinLondonLiquidSky, dxSkinMcSkin, dxSkinMoneyTwins,
  dxSkinOffice2007Black, dxSkinOffice2007Blue, dxSkinOffice2007Green,
  dxSkinOffice2007Pink, dxSkinOffice2007Silver, dxSkinOffice2010Black,
  dxSkinOffice2010Blue, dxSkinOffice2010Silver, dxSkinPumpkin, dxSkinSeven,
  dxSkinSevenClassic, dxSkinSharp, dxSkinSharpPlus, dxSkinSilver,
  dxSkinSpringTime, dxSkinStardust, dxSkinSummer2008,
  dxSkinTheAsphaltWorld, dxSkinsDefaultPainters, dxSkinValentine,
  dxSkinVS2010, dxSkinWhiteprint, dxSkinXmas2008Blue;

type
  TForm1 = class(TdxRibbonForm)
    dxBarManager1: TdxBarManager;
    dxBarManager1Bar1: TdxBar;
    dxBarApplicationMenu1: TdxBarApplicationMenu;
    dxBarManager1Bar2: TdxBar;
    dxRibbon1: TdxRibbon;
    dxRibbon1Tab1: TdxRibbonTab;
    TrackBar1: TTrackBar;
    Button0: TButton;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button100: TButton;
    Button11: TButton;
    Button12: TButton;
    Button13: TButton;
    Button14: TButton;
    Button16: TButton;
    Button17: TButton;
    Button18: TButton;
    Button8: TButton;
    Button20: TButton;
    dxSkinChooserGalleryItem1: TdxSkinChooserGalleryItem;
    procedure TrackBar1Change(Sender: TObject);
    procedure dxSkinChooserGalleryItem1SkinChanged(Sender: TObject;
      const ASkinName: string);
    procedure FormCreate(Sender: TObject);
  private
    procedure ShowData(Index: Integer);
  end;

var
  Form1: TForm1;

implementation

uses
  dxCore,
  dxBarSkinConsts;

{$R *.dfm}

type
  TDXCost = record
    Dsc: string;
    Value: Integer;
  end;

const
  DXCost: array [0..108] of TDXCost = (
    (dsc: 'DXBAR_ITEMSEPARATOR'; value: DXBAR_ITEMSEPARATOR),
    (dsc: 'DXBAR_ITEMSEPARATOR_VERT'; value: DXBAR_ITEMSEPARATOR_VERT),
    (dsc: 'DXBAR_ITEMTEXT'; value: DXBAR_ITEMTEXT),
    (dsc: 'DXBAR_TOOLBAR'; value: DXBAR_TOOLBAR),
    (dsc: 'DXBAR_MARKARROW'; value: DXBAR_MARKARROW),
    (dsc: 'DXBAR_MARKTRUNCATED'; value: DXBAR_MARKTRUNCATED),
    (dsc: 'DXBAR_ARROWDOWN'; value: DXBAR_ARROWDOWN),
    (dsc: 'DXBAR_SCROLLARROW'; value: DXBAR_SCROLLARROW),
    (dsc: 'DXBAR_MENUITEM'; value: DXBAR_MENUITEM),
    (dsc: 'DXBAR_MENUITEMTEXT'; value: DXBAR_MENUITEMTEXT),
    (dsc: 'DXBAR_MENUITEM_GLYPH'; value: DXBAR_MENUITEM_GLYPH),
    (dsc: 'DXBAR_MENUITEM_DROPBUTTON'; value: DXBAR_MENUITEM_DROPBUTTON),
    (dsc: 'DXBAR_MENUARROWDOWN'; value: DXBAR_MENUARROWDOWN),
    (dsc: 'DXBAR_MENUARROWRIGHT'; value: DXBAR_MENUARROWRIGHT),
    (dsc: 'DXBAR_MENUDETACHCAPTION'; value: DXBAR_MENUDETACHCAPTION),
    (dsc: 'DXBAR_MENUDETACHCAPTIONAREA'; value: DXBAR_MENUDETACHCAPTIONAREA),
    (dsc: 'DXBAR_MENUGLYPH'; value: DXBAR_MENUGLYPH),
    (dsc: 'DXBAR_MENUCONTENT'; value: DXBAR_MENUCONTENT),
    (dsc: 'DXBAR_MENUEXTRAPANE'; value: DXBAR_MENUEXTRAPANE),
    (dsc: 'DXBAR_MENUEXTRAPANE_BUTTON'; value: DXBAR_MENUEXTRAPANE_BUTTON),
    (dsc: 'DXBAR_MENUEXTRAPANE_BUTTON_TEXTCOLOR'; value: DXBAR_MENUEXTRAPANE_BUTTON_TEXTCOLOR),
    (dsc: 'DXBAR_MENUEXTRAPANE_HEADER_TEXTCOLOR'; value: DXBAR_MENUEXTRAPANE_HEADER_TEXTCOLOR),
    (dsc: 'DXBAR_MENUEXTRAPANE_PINBUTTON'; value: DXBAR_MENUEXTRAPANE_PINBUTTON),
    (dsc: 'DXBAR_MENUEXTRAPANE_SEPARATOR'; value: DXBAR_MENUEXTRAPANE_SEPARATOR),
    (dsc: 'DXBAR_MENUEXTRAPANE_SEPARATOR_VERT'; value: DXBAR_MENUEXTRAPANE_SEPARATOR_VERT),
    (dsc: 'DXBAR_MENUSEPARATORHORZ'; value: DXBAR_MENUSEPARATORHORZ),
    (dsc: 'DXBAR_MENUSEPARATORVERT'; value: DXBAR_MENUSEPARATORVERT),
    (dsc: 'DXBAR_MENUARROWSEPARATOR'; value: DXBAR_MENUARROWSEPARATOR),
    (dsc: 'DXBAR_MENUEDITSEPARATOR'; value: DXBAR_MENUEDITSEPARATOR),
    (dsc: 'DXBAR_MENUCHECK'; value: DXBAR_MENUCHECK),
    (dsc: 'DXBAR_MENUCHECKMARK'; value: DXBAR_MENUCHECKMARK),
    (dsc: 'DXBAR_MENUMARK'; value: DXBAR_MENUMARK),
    (dsc: 'DXBAR_MENUSCROLLAREA'; value: DXBAR_MENUSCROLLAREA),
    (dsc: 'DXBAR_DROPDOWNBORDER'; value: DXBAR_DROPDOWNBORDER),
    (dsc: 'DXBAR_DROPDOWNBORDER_INNERLINE'; value: DXBAR_DROPDOWNBORDER_INNERLINE),
    (dsc: 'DXBAR_COLLAPSEDTOOLBAR'; value: DXBAR_COLLAPSEDTOOLBAR),
    (dsc: 'DXBAR_COLLAPSEDTOOLBARGLYPHBACKGROUND'; value: DXBAR_COLLAPSEDTOOLBARGLYPHBACKGROUND),
    (dsc: 'DXBAR_QUICKACCESSTOOLBAR'; value: DXBAR_QUICKACCESSTOOLBAR),
    (dsc: 'DXBAR_TOOLBARINPOPUP'; value: DXBAR_TOOLBARINPOPUP),
    (dsc: 'DXBAR_RIBBONTABGROUP'; value: DXBAR_RIBBONTABGROUP),
    (dsc: 'DXBAR_RIBBONCONTEXTTABGROUP'; value: DXBAR_RIBBONCONTEXTTABGROUP),
    (dsc: 'DXBAR_RIBBONGROUPGAP'; value: DXBAR_RIBBONGROUPGAP),
    (dsc: 'DXBAR_TABSGROUPSOVERLAPHEIGHT'; value: DXBAR_TABSGROUPSOVERLAPHEIGHT),
    (dsc: 'DXBAR_APPLICATIONMENU'; value: DXBAR_APPLICATIONMENU),
    (dsc: 'DXBAR_APPLICATIONMENUCONTENT'; value: DXBAR_APPLICATIONMENUCONTENT),
    (dsc: 'DXBAR_APPLICATIONMENUBUTTON'; value: DXBAR_APPLICATIONMENUBUTTON),
    (dsc: 'DXBAR_APPLICATIONBUTTON'; value: DXBAR_APPLICATIONBUTTON),
    (dsc: 'DXBAR_APPLICATIONBUTTONICONOFFSET'; value: DXBAR_APPLICATIONBUTTONICONOFFSET),
    (dsc: 'DXBAR_SMALLBUTTON'; value: DXBAR_SMALLBUTTON),
    (dsc: 'DXBAR_SMALLBUTTON_DROPBUTTON'; value: DXBAR_SMALLBUTTON_DROPBUTTON),
    (dsc: 'DXBAR_SMALLBUTTON_GLYPH'; value: DXBAR_SMALLBUTTON_GLYPH),
    (dsc: 'DXBAR_LARGEBUTTON'; value: DXBAR_LARGEBUTTON),
    (dsc: 'DXBAR_LARGEBUTTON_DROPBUTTON'; value: DXBAR_LARGEBUTTON_DROPBUTTON),
    (dsc: 'DXBAR_LARGEBUTTON_GLYPH'; value: DXBAR_LARGEBUTTON_GLYPH),
    (dsc: 'DXBAR_BUTTONGROUP'; value: DXBAR_BUTTONGROUP),
    (dsc: 'DXBAR_BUTTONGROUP_DROPBUTTON'; value: DXBAR_BUTTONGROUP_DROPBUTTON),
    (dsc: 'DXBAR_BUTTONGROUP_GLYPH'; value: DXBAR_BUTTONGROUP_GLYPH),
    (dsc: 'DXBAR_BUTTONGROUPBORDERLEFT'; value: DXBAR_BUTTONGROUPBORDERLEFT),
    (dsc: 'DXBAR_BUTTONGROUPBORDERMIDDLE'; value: DXBAR_BUTTONGROUPBORDERMIDDLE),
    (dsc: 'DXBAR_BUTTONGROUPBORDERRIGHT'; value: DXBAR_BUTTONGROUPBORDERRIGHT),
    (dsc: 'DXBAR_BUTTONGROUPSPLITBUTTONSEPARATOR'; value: DXBAR_BUTTONGROUPSPLITBUTTONSEPARATOR),
    (dsc: 'DXBAR_LAUNCHBUTTONDEFAULTGLYPH'; value: DXBAR_LAUNCHBUTTONDEFAULTGLYPH),
    (dsc: 'DXBAR_LAUNCHBUTTONBACKGROUND'; value: DXBAR_LAUNCHBUTTONBACKGROUND),
    (dsc: 'DXBAR_QUICKACCESSGROUPBUTTON'; value: DXBAR_QUICKACCESSGROUPBUTTON),
    (dsc: 'DXBAR_EDIT_BACKGROUND'; value: DXBAR_EDIT_BACKGROUND),
    (dsc: 'DXBAR_EDIT_BORDER'; value: DXBAR_EDIT_BORDER),
    (dsc: 'DXBAR_EDIT_BUTTON'; value: DXBAR_EDIT_BUTTON),
    (dsc: 'DXBAR_EDIT_BUTTON_BORDER'; value: DXBAR_EDIT_BUTTON_BORDER),
    (dsc: 'DXBAR_EDIT_ARROWBUTTON'; value: DXBAR_EDIT_ARROWBUTTON),
    (dsc: 'DXBAR_EDIT_ELLIPSISBUTTON'; value: DXBAR_EDIT_ELLIPSISBUTTON),
    (dsc: 'DXBAR_EDIT_TEXTCOLOR'; value: DXBAR_EDIT_TEXTCOLOR),
    (dsc: 'DXBAR_SPINEDIT_DOWNBUTTON'; value: DXBAR_SPINEDIT_DOWNBUTTON),
    (dsc: 'DXBAR_SPINEDIT_UPBUTTON'; value: DXBAR_SPINEDIT_UPBUTTON),
    (dsc: 'DXBAR_DATENAVIGATOR_HEADER'; value: DXBAR_DATENAVIGATOR_HEADER),
    (dsc: 'DXBAR_SEPARATOR_BACKGROUND'; value: DXBAR_SEPARATOR_BACKGROUND),
    (dsc: 'DXBAR_SEPARATOR_LINE'; value: DXBAR_SEPARATOR_LINE),
    (dsc: 'DXBAR_SEPARATOR_TEXTCOLOR'; value: DXBAR_SEPARATOR_TEXTCOLOR),
    (dsc: 'DXBAR_PROGRESSSOLIDBAND'; value: DXBAR_PROGRESSSOLIDBAND),
    (dsc: 'DXBAR_PROGRESSDISCRETEBAND'; value: DXBAR_PROGRESSDISCRETEBAND),
    (dsc: 'DXBAR_PROGRESSSUBSTRATE'; value: DXBAR_PROGRESSSUBSTRATE),
    (dsc: 'DXBAR_SCREENTIP'; value: DXBAR_SCREENTIP),
    (dsc: 'DXBAR_SCREENTIP_FOOTERLINE'; value: DXBAR_SCREENTIP_FOOTERLINE),
    (dsc: 'DXBAR_SCREENTIP_TITLE'; value: DXBAR_SCREENTIP_TITLE),
    (dsc: 'DXBAR_SCREENTIP_DESCRIPTION'; value: DXBAR_SCREENTIP_DESCRIPTION),
    (dsc: 'DXBAR_KEYTIP_TEXTCOLOR'; value: DXBAR_KEYTIP_TEXTCOLOR),
    (dsc: 'DXBAR_INRIBBONGALLERY'; value: DXBAR_INRIBBONGALLERY),
    (dsc: 'DXBAR_INRIBBONGALLERY_BACKGROUND'; value: DXBAR_INRIBBONGALLERY_BACKGROUND),
    (dsc: 'DXBAR_INRIBBONGALLERY_BORDER'; value: DXBAR_INRIBBONGALLERY_BORDER),
    (dsc: 'DXBAR_INRIBBONGALLERYSCROLLBAR_LINEUPBUTTON'; value: DXBAR_INRIBBONGALLERYSCROLLBAR_LINEUPBUTTON),
    (dsc: 'DXBAR_INRIBBONGALLERYSCROLLBAR_LINEDOWNBUTTON'; value: DXBAR_INRIBBONGALLERYSCROLLBAR_LINEDOWNBUTTON),
    (dsc: 'DXBAR_INRIBBONGALLERYSCROLLBAR_DROPDOWNBUTTON'; value: DXBAR_INRIBBONGALLERYSCROLLBAR_DROPDOWNBUTTON),
    (dsc: 'DXBAR_DROPDOWNGALLERY'; value: DXBAR_DROPDOWNGALLERY),
    (dsc: 'DXBAR_DROPDOWNGALLERY_TOPSIZINGBAND'; value: DXBAR_DROPDOWNGALLERY_TOPSIZINGBAND),
    (dsc: 'DXBAR_DROPDOWNGALLERY_BOTTOMSIZINGBAND'; value: DXBAR_DROPDOWNGALLERY_BOTTOMSIZINGBAND),
    (dsc: 'DXBAR_DROPDOWNGALLERY_TOPSIZEGRIP'; value: DXBAR_DROPDOWNGALLERY_TOPSIZEGRIP),
    (dsc: 'DXBAR_DROPDOWNGALLERY_BOTTOMSIZEGRIP'; value: DXBAR_DROPDOWNGALLERY_BOTTOMSIZEGRIP),
    (dsc: 'DXBAR_DROPDOWNGALLERY_TOPVERTICALSIZEGRIP'; value: DXBAR_DROPDOWNGALLERY_TOPVERTICALSIZEGRIP),
    (dsc: 'DXBAR_DROPDOWNGALLERY_BOTTOMVERTICALSIZEGRIP'; value: DXBAR_DROPDOWNGALLERY_BOTTOMVERTICALSIZEGRIP),
    (dsc: 'DXBAR_GALLERYGROUPHEADERBACKGROUND'; value: DXBAR_GALLERYGROUPHEADERBACKGROUND),
    (dsc: 'DXBAR_GALLERYGROUPHEADERTEXT'; value: DXBAR_GALLERYGROUPHEADERTEXT),
    (dsc: 'DXBAR_GALLERYFILTERBAND'; value: DXBAR_GALLERYFILTERBAND),
    (dsc: 'DXBAR_GALLERYFILTERBANDTEXT'; value: DXBAR_GALLERYFILTERBANDTEXT),
    (dsc: 'DXBAR_GALLERYGROUPITEM_OUTERBORDER'; value: DXBAR_GALLERYGROUPITEM_OUTERBORDER),
    (dsc: 'DXBAR_GALLERYGROUPITEM_INNERBORDER'; value: DXBAR_GALLERYGROUPITEM_INNERBORDER),
    (dsc: 'DXBAR_INRIBBONGALLERYSCROLLBAR_BACKGROUND'; value: DXBAR_INRIBBONGALLERYSCROLLBAR_BACKGROUND),
    (dsc: 'DXBAR_INRIBBONGALLERYITEM_TEXTCOLOR'; value: DXBAR_INRIBBONGALLERYITEM_TEXTCOLOR),
    (dsc: 'DXBAR_DROPDOWNGALLERYITEM_TExTCOLOR'; value: DXBAR_DROPDOWNGALLERYITEM_TExTCOLOR),
    (dsc: 'DXBAR_MINITOOLBAR'; value: DXBAR_MINITOOLBAR),
    (dsc: 'DXBAR_MINITOOLBAR_BACKGROUND'; value: DXBAR_MINITOOLBAR_BACKGROUND)
  );

procedure TForm1.dxSkinChooserGalleryItem1SkinChanged(Sender: TObject;
  const ASkinName: string);
begin
  dxRibbon1.ColorSchemeName := ASkinName;
  ShowData(TrackBar1.Position);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  DoubleBuffered := True;
  ShowData(TrackBar1.Position);
end;

procedure TForm1.ShowData(Index: Integer);
var
  Painter: TdxRibbonBarPainter;
  I: Integer;
  R: TRect;
  B: TButton;
begin
  Caption := DXCost[Index].Dsc + ' (' + IntToStr(Index) + ')';
  if Index = 43 then Exit;
  Painter := TdxRibbonBarPainter.Create(TdxNativeUInt(dxRibbon1));
  try

    R.Left := Button0.Left - 10;
    R.Top := Button0.Top - 10;
    R.Bottom := R.Top + Button0.Height + 20;
    R.Right := Button8.Left + Button8.Width + 10;
    Canvas.Brush.Color := clWhite;
    Canvas.FillRect(R);

    for I := 0 to 8 do
    begin
      B := TButton(FindComponent('Button' + IntToStr(I)));
      R.Left := B.Left;
      R.Top := B.Top;
      R.Right := B.Left + B.Width;
      R.Bottom := B.Top + B.Height;
      Canvas.Brush.Color := Color;
      Canvas.FillRect(R);
      Painter.Skin.DrawBackground(Canvas.Handle, R, DXCost[Index].Value, I);
    end;
  finally
    Painter.Free;
  end;
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
  ShowData(TrackBar1.Position);
end;

end.
