unit Unit8;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ActnList, ActnMan, StdCtrls, dxBar, XPStyleActnCtrls;

type
  TForm7 = class(TForm)
    ActionManager1: TActionManager;
    Action1: TAction;
    Action2: TAction;
    Action3: TAction;
    Button1: TButton;
    dxBarManager1: TdxBarManager;
    dxBarButton1: TdxBarButton;
    dxBarButton2: TdxBarButton;
    dxBarButton3: TdxBarButton;
    dxBarPopupMenu1: TdxBarPopupMenu;
    Memo1: TMemo;
    procedure Action1Execute(Sender: TObject);
    procedure Action1Update(Sender: TObject);
    procedure FormContextPopup(Sender: TObject; MousePos: TPoint; var Handled: Boolean);
    procedure Button1Click(Sender: TObject);
  private
    Foo: Integer;
  public
    { Public declarations }
  end;

var
  Form7: TForm7;

implementation

{$R *.dfm}

{
//    
procedure TdxBarButtonControl.ControlUnclick(ByMouse: Boolean);
begin
  if not ByMouse or (HotPartIndex = bcpButton) then
  begin
    if (ButtonItem <> nil) and (bstChecked in ButtonItem.FInternalStates) then
      //     TAction.Checked
      if (ItemLink <> nil) and (ItemLink.Item <> nil) and (ItemLink.Item.Action <> nil) then
      begin
       //   Down    Action-
      end
      else
        //  Action   -   
        ButtonItem.Down := not ButtonItem.Down;
    ControlInactivate(True);
    inherited;
  end;
end;
}

procedure TForm7.Action1Execute(Sender: TObject);
begin
  Foo := TAction(Sender).Tag;
end;

procedure TForm7.Action1Update(Sender: TObject);
begin
  TAction(Sender).Checked := TAction(Sender).Tag = Foo;
end;

procedure TForm7.FormContextPopup(Sender: TObject;
  MousePos: TPoint; var Handled: Boolean);
begin
  dxBarPopupMenu1.PopupFromCursorPos;
  Handled := True;
end;

procedure TForm7.Button1Click(Sender: TObject);
begin
  Foo := 1;
end;

end.
