unit Unit5;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, 
  dxBar, dxRibbon, dxRibbonForm, dxRibbonSkins, cxGraphics, cxControls, 
  cxLookAndFeels, cxLookAndFeelPainters, cxClasses, dxSkinsCore, dxSkinsdxRibbonPainter,
  dxSkinsdxBarPainter, dxStatusBar, dxRibbonStatusBar, dxBarApplicationMenu,
  cxBlobEdit, cxBarEditItem, cxButtonEdit, cxImage, cxHyperLinkEdit,
  StdCtrls, cxCheckBox, cxCalc, cxCalendar, dxSkinBlack, dxSkinBlue,
  dxSkinBlueprint, dxSkinCaramel, dxSkinCoffee, dxSkinDarkRoom,
  dxSkinDarkSide, dxSkinDevExpressDarkStyle, dxSkinDevExpressStyle,
  dxSkinFoggy, dxSkinGlassOceans, dxSkinHighContrast, dxSkiniMaginary,
  dxSkinLilian, dxSkinLiquidSky, dxSkinLondonLiquidSky, dxSkinMcSkin,
  dxSkinMoneyTwins, dxSkinOffice2007Black, dxSkinOffice2007Blue,
  dxSkinOffice2007Green, dxSkinOffice2007Pink, dxSkinOffice2007Silver,
  dxSkinOffice2010Black, dxSkinOffice2010Blue, dxSkinOffice2010Silver,
  dxSkinPumpkin, dxSkinSeven, dxSkinSevenClassic, dxSkinSharp,
  dxSkinSharpPlus, dxSkinSilver, dxSkinSpringTime, dxSkinStardust,
  dxSkinSummer2008, dxSkinTheAsphaltWorld, dxSkinsDefaultPainters,
  dxSkinValentine, dxSkinVS2010, dxSkinWhiteprint, dxSkinXmas2008Blue;

type
  TForm1 = class(TdxRibbonForm)
    dxBarManager1: TdxBarManager;
    dxBarManager1Bar1: TdxBar;
    dxBarApplicationMenu1: TdxBarApplicationMenu;
    dxRibbon1: TdxRibbon;
    dxRibbon1Tab1: TdxRibbonTab;
    dxRibbonStatusBar1: TdxRibbonStatusBar;
    dxBarManager1Bar2: TdxBar;
    Button1: TButton;
    Button2: TButton;
    cxBarEditItem1: TcxBarEditItem;
    cxBarEditItem2: TcxBarEditItem;
    Button3: TButton;
    cxBarEditItem3: TcxBarEditItem;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
// uses cxCheckBox
begin
  //  
  cxBarEditItem1.Caption := 'CheckBoxItem';
  //    CheckBox
  cxBarEditItem1.PropertiesClass := TcxCheckBoxProperties;
  //           
  (cxBarEditItem1.Properties as TcxCheckBoxProperties).NullStyle := nssUnchecked;
  //   
  cxBarEditItem1.EditValue := True;

  //     
  //      ,       

  //   (          )
  cxBarEditItem1.Links[0].UserWidth := 0;

  //   Caption     
  cxBarEditItem1.Links[0].ViewLayout := ivlGlyphControlCaption;
end;

procedure TForm1.Button2Click(Sender: TObject);
// uses cxImage
var
  M: TMemoryStream;
  S: AnsiString;
begin
  cxBarEditItem1.Caption := 'ImageItem';
  cxBarEditItem1.PropertiesClass := TcxImageProperties;
  (cxBarEditItem1.Properties as TcxImageProperties).GraphicClass := TBitmap;
  M := TMemoryStream.Create;
  try
    M.LoadFromFile(ExtractFilePath(ParamStr(0)) + 'tmp.bmp');
    SetLength(S, M.Size);
    M.ReadBuffer(S[1], M.Size);
    cxBarEditItem1.EditValue := S;
  finally
    M.Free;
  end;
  cxBarEditItem1.Links[0].UserWidth := 100;
  cxBarEditItem1.Links[0].ViewLayout := ivlGlyphCaptionControl;
end;

procedure TForm1.Button3Click(Sender: TObject);
// uses cxHyperLinkEdit
begin
  cxBarEditItem1.Caption := 'HiperLink';
  cxBarEditItem1.PropertiesClass := TcxHyperLinkEditProperties;
  (cxBarEditItem1.Properties as TcxHyperLinkEditProperties).LookupItems.Text :=
    'www.microsoft.com' + sLineBreak + 'www.devexpress.com' + sLineBreak +
    'www.google.com';
  (cxBarEditItem1.Properties as TcxHyperLinkEditProperties).AutoComplete := True;
  (cxBarEditItem1.Properties as TcxHyperLinkEditProperties).ValidateOnEnter := True;
  cxBarEditItem1.EditValue := 'www.microsoft.com';
  cxBarEditItem1.Links[0].UserWidth := 200;
  cxBarEditItem1.Links[0].ViewLayout := ivlGlyphCaptionControl;
end;

procedure TForm1.Button4Click(Sender: TObject);
// uses cxCalc
begin
  cxBarEditItem1.Caption := 'CalcEdit';
  cxBarEditItem1.PropertiesClass := TcxCalcEditProperties;
  cxBarEditItem1.EditValue := 0;
  cxBarEditItem1.Links[0].UserWidth := 150;
  cxBarEditItem1.Links[0].ViewLayout := ivlGlyphCaptionControl;
end;

end.
